;; 
;; /etc/emacs/site-start.d/50dpkg-dev-el.el
;;
;; Copyright (C) 1997, Klee Dienes <klee@mit.edu>
;; I hereby release this program into the public domain.
;;
;; Copyright (C) 2000, 2002 Roland Mas <lolando@debian.org>,
;;                          Peter S Galbraith <psg@debian.org>
;;			    Julien LEMOINE <speedblue@debian.org>
;; We also release this program into the public domain.

(if (fboundp 'debian-pkg-add-load-path-item)
    (setq load-path (debian-pkg-add-load-path-item
		     (concat "/usr/share/"
			     (symbol-name flavor)
			     "/site-lisp/eiffel-mode")) )
  (setq load-path (cons (concat "/usr/share/"
				(symbol-name flavor)
				"/site-lisp/eiffel-mode") load-path)) )

(add-to-list 'auto-mode-alist '("\\.e\\'" . eiffel-mode))                                                                      
(autoload 'eiffel-mode "eiffel-mode" "Major mode for Eiffel programs" t)   
